Page MenuHomePhabricator

Internal windows dont render.
Closed, ResolvedPublic

Description

Git efl git E

Open the settings panel > nothing shows up.

ApB created this task.Oct 14 2017, 12:33 AM

I guess this is a side effect of my recent changes, but I've no idea how.

Can you reproduce while running E with WAYLAND_DEBUG=client

and send me that stderr log?

I made a tangentially related fix today, but I doubt it will have impact - still, would be best to reproduce with tomorrow's git.

Does evry launch properly? is it only the settings window that's broken?

ApB helped me debug this earlier today. It's a side effect of switching to dmabuf create_immed - we create the buffer and send it to the compositor and assume everything will be ok (we kind of have to do this to avoid round trips during resizing windows). create_immed succeeds immediately in the client, but if the compositor can't use the buffer the client is killed at first composite.

This brings a few problems to light, but to close this ticket I'm going to add a dmabuf test creation at startup with a round trip, and a fallback to shm memory allocation if that fails.

ManMower claimed this task.Oct 17 2017, 2:42 PM
ManMower closed this task as Resolved.Nov 15 2017, 10:51 AM

Ok, this *should* be resolved by recent commits.

ApB reopened this task as Open.Nov 16 2017, 2:27 AM

Ok, this *should* be resolved by recent commits.

It didn't. Same behavior.

Please attach a run of E with WAYLAND_DEBUG=client and I'll see if I can figure out what's up.

Does it still work with EVAS_WAYLAND_SHM_DISABLE_DMABUF?

ManMower closed this task as Resolved.Nov 16 2017, 11:24 AM

Ok, should be resolved by today's commits.

This is a hard path to test here as none of my hardware hits it. Breaking enlightenment's dmabuf test in e_pixmap.c seems to have given me the same failure, so I think it's resolved now.